# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from alfresco_core_api_client.configuration import Configuration


class RatingAggregate(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'number_of_ratings': 'int',
        'average': 'int'
    }

    attribute_map = {
        'number_of_ratings': 'numberOfRatings',
        'average': 'average'
    }

    def __init__(self, number_of_ratings=None, average=None, _configuration=None):  # noqa: E501
        """RatingAggregate - a model defined in Swagger"""  # noqa: E501
        if _configuration is None:
            _configuration = Configuration()
        self._configuration = _configuration

        self._number_of_ratings = None
        self._average = None
        self.discriminator = None

        self.number_of_ratings = number_of_ratings
        if average is not None:
            self.average = average

    @property
    def number_of_ratings(self):
        """Gets the number_of_ratings of this RatingAggregate.  # noqa: E501


        :return: The number_of_ratings of this RatingAggregate.  # noqa: E501
        :rtype: int
        """
        return self._number_of_ratings

    @number_of_ratings.setter
    def number_of_ratings(self, number_of_ratings):
        """Sets the number_of_ratings of this RatingAggregate.


        :param number_of_ratings: The number_of_ratings of this RatingAggregate.  # noqa: E501
        :type: int
        """
        if self._configuration.client_side_validation and number_of_ratings is None:
            raise ValueError("Invalid value for `number_of_ratings`, must not be `None`")  # noqa: E501

        self._number_of_ratings = number_of_ratings

    @property
    def average(self):
        """Gets the average of this RatingAggregate.  # noqa: E501


        :return: The average of this RatingAggregate.  # noqa: E501
        :rtype: int
        """
        return self._average

    @average.setter
    def average(self, average):
        """Sets the average of this RatingAggregate.


        :param average: The average of this RatingAggregate.  # noqa: E501
        :type: int
        """

        self._average = average

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(RatingAggregate, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, RatingAggregate):
            return False

        return self.to_dict() == other.to_dict()

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        if not isinstance(other, RatingAggregate):
            return True

        return self.to_dict() != other.to_dict()
